## org.h2.index
Class PageIndex

    java.lang.Object
      org.h2.engine.DbObjectBase
          org.h2.schema.SchemaObjectBase
              org.h2.index.BaseIndex
                  org.h2.index.PageIndex

All Implemented Interfaces:
  DbObject, Index, SchemaObject

Direct Known Subclasses:
  PageBtreeIndex, PageDataIndex, PageDelegateIndex

    public abstract class PageIndex

extends BaseIndex

A page store index.

Field Summary
`protected int` `rootPageId` The root page of this index.

Fields inherited from class org.h2.index.BaseIndex
`columnIds, columns, indexColumns, indexType, isMultiVersion, table`

Fields inherited from class org.h2.engine.DbObjectBase
`comment, database, trace`

Fields inherited from interface org.h2.index.Index
`EMPTY_HEAD`

Fields inherited from interface org.h2.engine.DbObject
`AGGREGATE, COMMENT, CONSTANT, CONSTRAINT, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, TABLE_OR_VIEW, TRIGGER, USER, USER_DATATYPE`

Constructor Summary
`PageIndex()`

Method Summary
`int` `getHeadPos()` Get the position of the head record.
`int` `getRootPageId()` Get the root page of this index.
`void` `setSortedInsertMode(boolean sortedInsertMode)`
`abstract void` `writeRowCount()` Write back the row count if it has changed.

Methods inherited from class org.h2.index.BaseIndex

`add, canFindNext, canGetFirstOrLast, close, commit, compareKeys, compareRows, containsNullAndAllowMultipleNull, find, findFirstOrLast, findNext, getColumnIndex, getColumnListSQL, getColumns, getCost, getCostRangeIndex, getCreateSQL, getCreateSQLForCopy, getDropSQL, getDuplicateKeyException, getIndexColumns, getIndexType, getLookupCost, getPlanSQL, getTable, getType, needRebuild, remove, remove, removeChildrenAndResources, truncate`

Methods inherited from class org.h2.schema.SchemaObjectBase
`getSchema, getSQL, initSchemaObjectBase`

Methods inherited from class org.h2.engine.DbObjectBase
`checkRename, getChildren, getComment, getDatabase, getId, getModificationId, getName, initDbObjectBase, invalidate, isTemporary, rename, setComment, setModified, setObjectName, setTemporary, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.h2.index.Index
`getRowCount, getRowCountApproximation`

Methods inherited from interface org.h2.schema.SchemaObject
`getSchema`

Methods inherited from interface org.h2.engine.DbObject
`checkRename, getChildren, getComment, getDatabase, getId, getModificationId, getName, getSQL, isTemporary, rename, setComment, setModified, setTemporary`

Field Detail

### rootPageId

    protected int rootPageId

  The root page of this index.

Constructor Detail

### PageIndex

    public PageIndex()

Method Detail

### getRootPageId

    public int getRootPageId()

  Description copied from interface: `Index`
  Get the root page of this index.

  Specified by:
    `getRootPageId` in interface `Index`
  Overrides:
    `getRootPageId` in class `BaseIndex`
  Returns:
    the root page id

### getHeadPos

    public int getHeadPos()

  Description copied from interface: `DbObject`
  Get the position of the head record.

  Specified by:
    `getHeadPos` in interface `DbObject`
  Overrides:
    `getHeadPos` in class `DbObjectBase`
  Returns:
    the head position

### writeRowCount

    public abstract void writeRowCount()
                                throws java.sql.SQLException

  Write back the row count if it has changed.

  Throws:
    `java.sql.SQLException`

### setSortedInsertMode

    public void setSortedInsertMode(boolean sortedInsertMode)